Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.faces
Class PhpFacesScriptEngine

    java.lang.Object
      javax.script.AbstractScriptEngine
          php.java.script.PhpScriptEngine
              php.java.faces.PhpFacesScriptEngine

All Implemented Interfaces:
  Invocable, ScriptEngine

    public class PhpFacesScriptEngine

extends PhpScriptEngine
implements Invocable

A custom ScriptEngine, keeps the custom ScriptContext

Author:
  jostb

Field Summary

Fields inherited from interface javax.script.ScriptEngine
`ARGV, ENGINE, ENGINE_VERSION, FILENAME, LANGUAGE, LANGUAGE_VERSION, NAME`

Constructor Summary
`PhpFacesScriptEngine(javax.servlet.ServletContext ctx, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, PhpScriptWriter writer)` Creates a new ScriptEngine.

Method Summary

Methods inherited from class php.java.script.PhpScriptEngine
`createBindings, eval, eval, getFactory, getInterface, getInterface, invoke, invoke, release`

Methods inherited from class javax.script.AbstractScriptEngine
`eval, eval, eval, eval, get, getBindings, getContext, put, setBindings, setContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.script.Invocable
`getInterface, getInterface, invoke, invoke`

Constructor Detail

### PhpFacesScriptEngine

    public PhpFacesScriptEngine(javax.servlet.ServletContext ctx,
                                javax.servlet.http.HttpServletRequest request,
                                javax.servlet.http.HttpServletResponse response,
                                PhpScriptWriter writer)

  Creates a new ScriptEngine.

  Parameters:
    `ctx` - The ServletContext
    `request` - The HttpServletRequest
    `response` - The HttpServletResponse
    `writer` - The PhpScriptWriter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD